Package org.eclipse.microprofile.metrics.tck.metrics

## Class CounterTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.CounterTest

    public class CounterTest
    extends Object

### Constructor Summary

Constructors
`CounterTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `getCountTest()`
`void` `incrementLongTest()`
`void` `incrementTest()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CounterTest

    public CounterTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### getCountTest

    @InSequence(1)
    public void getCountTest()

#### incrementTest

    @InSequence(2)
    public void incrementTest()

#### incrementLongTest

    @InSequence(3)
    public void incrementLongTest()